Toggle enabled flag for a subscription.
curl --request PATCH \
--url https://test.didxtech.com/me-creds/api/v1/admin/trust/ecosystems/subscriptions/{projectId}/{ecosystemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": false
}
'import requests
url = "https://test.didxtech.com/me-creds/api/v1/admin/trust/ecosystems/subscriptions/{projectId}/{ecosystemId}"
payload = { "enabled": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: false})
};
fetch('https://test.didxtech.com/me-creds/api/v1/admin/trust/ecosystems/subscriptions/{projectId}/{ecosystemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"projectId": "clxyz123abc",
"ecosystemId": "za-trust-framework",
"tenantAlias": "acme-university",
"paradymId": "u9d8quw98y9q",
"enabled": true
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Ecosystem Subscriptions API
Toggle enabled flag for a subscription (v1)
PATCH
/
v1
/
admin
/
trust
/
ecosystems
/
subscriptions
/
{projectId}
/
{ecosystemId}
Toggle enabled flag for a subscription.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Updated subscription.
⌘I

